VERSION 5.00
Object = "{68B38441-0073-11D2-910D-EF28218F9213}#1.0#0"; "EclDwgPreview.ocx"
Begin VB.Form frmMain 
   BorderStyle     =   1  ' 
   Caption         =   "AutoCAD Drawing Previewer"
   ClientHeight    =   4545
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7335
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4545
   ScaleWidth      =   7335
   StartUpPosition =   3  'Windows ⺻
   Begin DWGPREVIEWLib.DwgPreview ctlPreview 
      Height          =   3585
      Left            =   3000
      TabIndex        =   2
      Top             =   120
      Width           =   4215
      _Version        =   65536
      _ExtentX        =   7435
      _ExtentY        =   6324
      _StockProps     =   161
      BackColor       =   0
      Appearance      =   1
   End
   Begin VB.PictureBox picWhite 
      Appearance      =   0  '
      BackColor       =   &H00FFFFFF&
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   6600
      ScaleHeight     =   225
      ScaleWidth      =   585
      TabIndex        =   13
      Top             =   3720
      Width           =   615
   End
   Begin VB.PictureBox picGray 
      Appearance      =   0  '
      BackColor       =   &H00C0C0C0&
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   6000
      ScaleHeight     =   225
      ScaleWidth      =   585
      TabIndex        =   12
      Top             =   3720
      Width           =   615
   End
   Begin VB.PictureBox picBlue 
      Appearance      =   0  '
      BackColor       =   &H00FF0000&
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   5400
      ScaleHeight     =   225
      ScaleWidth      =   585
      TabIndex        =   11
      Top             =   3720
      Width           =   615
   End
   Begin VB.PictureBox picGreen 
      Appearance      =   0  '
      BackColor       =   &H0000FF00&
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   4800
      ScaleHeight     =   225
      ScaleWidth      =   585
      TabIndex        =   10
      Top             =   3720
      Width           =   615
   End
   Begin VB.PictureBox picYellow 
      Appearance      =   0  '
      BackColor       =   &H0000FFFF&
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   4200
      ScaleHeight     =   225
      ScaleWidth      =   585
      TabIndex        =   9
      Top             =   3720
      Width           =   615
   End
   Begin VB.PictureBox picRed 
      Appearance      =   0  '
      BackColor       =   &H000000FF&
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   3600
      ScaleHeight     =   225
      ScaleWidth      =   585
      TabIndex        =   8
      Top             =   3720
      Width           =   615
   End
   Begin VB.PictureBox picBlack 
      Appearance      =   0  '
      BackColor       =   &H00000000&
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   3000
      ScaleHeight     =   225
      ScaleWidth      =   585
      TabIndex        =   7
      Top             =   3720
      Width           =   615
   End
   Begin VB.FileListBox lstFile 
      Height          =   1890
      Left            =   110
      Pattern         =   "*.DWG"
      TabIndex        =   6
      Top             =   1920
      Width           =   2800
   End
   Begin VB.CommandButton btnAbout 
      Caption         =   "&About"
      Height          =   375
      Left            =   4440
      TabIndex        =   5
      Top             =   4080
      Width           =   1335
   End
   Begin VB.CommandButton btnCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   3000
      TabIndex        =   4
      Top             =   4080
      Width           =   1215
   End
   Begin VB.CommandButton btnOpen 
      Caption         =   "&Open"
      Height          =   375
      Left            =   1560
      TabIndex        =   3
      Top             =   4080
      Width           =   1215
   End
   Begin VB.DriveListBox cmbDrive 
      Height          =   315
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   2775
   End
   Begin VB.DirListBox lstDir 
      Height          =   1440
      Left            =   120
      TabIndex        =   0
      Top             =   460
      Width           =   2775
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub btnAbout_Click()

    ctlPreview.AboutBox

End Sub

Private Sub btnCancel_Click()

    End
    
End Sub

Private Sub btnOpen_Click()

    ctlPreview.Open
    
    End
    
End Sub

Private Sub cmbDrive_Change()

    On Error GoTo DriveError
    
    lstDir.Path = cmbDrive.Drive
    ctlPreview.FileName = ""
    
    Exit Sub
    
DriveError:

    MsgBox "Drive error!", vbExclamation, "Error"
    
    cmbDrive.Drive = lstDir.Path
    
    Exit Sub
    
End Sub

Private Sub lstDir_Change()
    
    lstFile.Path = lstDir.Path
    ctlPreview.FileName = ""
    
End Sub

Private Sub lstFile_Click()

    ctlPreview.FileName = lstFile.Path + "\" + lstFile.FileName

End Sub

Private Sub picBlack_Click()

    ctlPreview.ImageBackColor = &H0&
    
End Sub

Private Sub picBlue_Click()
    
    ctlPreview.ImageBackColor = &HFF0000

End Sub

Private Sub picGray_Click()
    
    ctlPreview.ImageBackColor = &HC0C0C0

End Sub

Private Sub picGreen_Click()

    ctlPreview.ImageBackColor = &HFF00&

End Sub

Private Sub picRed_Click()

    ctlPreview.ImageBackColor = &HFF&
    
End Sub

Private Sub picWhite_Click()
    
    ctlPreview.ImageBackColor = &HFFFFFF

End Sub

Private Sub picYellow_Click()

    ctlPreview.ImageBackColor = &HFFFF&

End Sub
